<form [formGroup]="registrationForm" (ngSubmit)="onSubmit()"  class="row g-3"  style="margin-top: 4em;">
<!--     
 -->
    <div class="col-md-4">

        <label for="validationDefault01" class="form-label">Prénom</label>
        <input type="text" [class.is-invalid]="registrationForm.get('firstname').invalid &&
                                         (registrationForm.get('firstname').dirty || 
                                          registrationForm.get('firstname').touched) || isSubmitted" [class.is-valid]="registrationForm.get('firstname').valid &&
                                          (registrationForm.get('firstname').pristine || 
                                           registrationForm.get('firstname').touched)" formControlName="firstname"
            id="validationDefault01" value="Mark" class="form-control" required>
    </div>
    <div class="col-md-4">
        <label for="validationDefault02" class="form-label">nom</label>
        <input type="text" [class.is-invalid]="registrationForm.get('lastname').invalid &&
                                         (registrationForm.get('lastname').dirty || 
                                          registrationForm.get('lastname').touched) || isSubmitted" [class.is-valid]="registrationForm.get('lastname').valid &&
                                          (registrationForm.get('lastname').pristine || 
                                           registrationForm.get('lastname').touched)" class="form-control"
            formControlName="lastname" id="validationDefault02" value="Otto" required>
    </div>
    <div class="col-md-4">
        <label for="validationDefaultUsername" class="form-label">Nom d'utilisateur</label>
        <div class="input-group">
            <span class="input-group-text" id="inputGroupPrepend2">@</span>
            <input [class.is-invalid]="registrationForm.get('username').invalid &&
            (registrationForm.get('username').dirty || 
             registrationForm.get('username').touched) || isSubmitted" [class.is-valid]="registrationForm.get('username').valid &&
             (registrationForm.get('username').pristine || 
              registrationForm.get('username').touched)" type="text" class="form-control" formControlName="username"
                id="validationDefaultUsername" aria-describedby="inputGroupPrepend2" required>
        </div>
    </div>
    <div class="col-md-6">
        <label for="validationDefault03" class="form-label">Adresse</label>
        <input [class.is-invalid]="registrationForm.get('adress').invalid &&
        (registrationForm.get('adress').dirty || 
         registrationForm.get('adress').touched) || isSubmitted" [class.is-valid]="registrationForm.get('adress').valid &&
         (registrationForm.get('adress').pristine || 
          registrationForm.get('adress').touched)" type="text" class="form-control" formControlName="adress"
            id="validationDefault03" required>
    </div>
    <!--  <div class="col-md-3">
      <label for="validationDefault04" class="form-label">State</label>
      <select class="form-select" id="validationDefault04" required>
        <option selected disabled value="">Choose...</option>
        <option>...</option>
      </select>
    </div> -->



    <div class="col-md-3">
        <label for="validationDefault05" class="form-label">Mot de passe</label>
        <input type="text" [class.is-invalid]="registrationForm.get('password').invalid &&
      (registrationForm.get('password').dirty || 
       registrationForm.get('password').touched) || isSubmitted" [class.is-valid]="registrationForm.get('password').valid &&
       (registrationForm.get('password').pristine || 
        registrationForm.get('password').touched)" formControlName="password" class="form-control"
            id="validationDefault05" required>


        <div class="onload-form" [class.invalid-feedback]="registrationForm.get('password').invalid &&
      (registrationForm.get('password').dirty || 
       registrationForm.get('password').touched)">
            mot de passe obligatoire
        </div>

    </div>



    <div class="col-12">
        <div class="form-check">
            <input [class.is-invalid]="registrationForm.get('agreement').invalid &&
            (registrationForm.get('agreement').dirty || 
             registrationForm.get('agreement').touched) || isSubmitted" [class.is-valid]="registrationForm.get('agreement').valid &&
             (registrationForm.get('agreement').pristine || 
              registrationForm.get('agreement').touched)" class="form-check-input" type="checkbox"
                formControlName="agreement" value="" id="invalidCheck" required>
            <label class="form-check-label" for="invalidCheck2">
                J'accepte les conditions d'utilisation
            </label>
            <div class="onload-form" [class.invalid-feedback]="registrationForm.get('agreement').invalid &&
            (registrationForm.get('agreement').dirty || 
             registrationForm.get('agreement').touched)">
                Vous devez acceptez avant de soumettre
            </div>
        </div>
    </div>
    <div style="margin-bottom: 2em;" class="col-12">
        <button  style="margin-bottom: 0.8em;"  class="btn btn-primary" type="submit">Créer profil</button>

        <div style="font-size: 1.159em;" *ngIf="message && message == 'already created'"  [class.invalid-feedback]="message == 'already created'">
            Cet utilisateur existe déjà
        </div>

    </div>
</form>

<!-- Value: {{ registrationForm.value | json }}
<br>
formulaire invalide : {{registrationForm.invalid | json}}
<br>
isSubmitted : {{ isSubmitted | json}} -->